@tool
class_name TravelToDestination extends ActionLeaf
## Wait until the navigation target is reached (or cannot navigate further)

@onready var nav_agent: NavigationAgent3D = %NavAgent


func tick(_actor: Node, _blackboard: Blackboard) -> int:
	return SUCCESS if nav_agent.is_navigation_finished() else RUNNING
